JSS 10.15.1 + 10.11 El Capitan Macs?

mvu
Valued Contributor

Hello,

We upgraded to JSS 10.14.1 Friday, just before 10.15.1 dropped. We have a few 10.11 clients, so opted for 10.14.1 until we bump off the final El Capitan machines.

Can anyone confirm 10.11 clients are working with JSS 10.15.1? I am not looking to re-enroll 10.11 Macs, just hoping current clients still function with JSS.

Thanks, and may the force be with you.

1 ACCEPTED SOLUTION

crbeck
Contributor

I have a handful of 10.11.6 stragglers, seem to be checking in just fine and doing policies/MDM actions with the 10.15.1 Jamf binary.

View solution in original post

4 REPLIES 4

crbeck
Contributor

I have a handful of 10.11.6 stragglers, seem to be checking in just fine and doing policies/MDM actions with the 10.15.1 Jamf binary.

View solution in original post

michael_devins
Contributor II

Great question @mvu. Apple comes out with new operating systems every year and Jamf updates the Jamf Pro Levels of Compatibility as we increment our support forward. While Apple does a great job of ensuring each new operating system version is compatible with a broad range of hardware model years, allowing users to continue upgrading year-over-year, there are limits to this support. Many customers still manage computers from 2007, 2008, and 2009 that cannot upgrade beyond macOS 10.11 El Capitan. Similarly, many customers still manage devices like iPad 2nd and 3rd generation, iPad mini, iPhone 4s, and iPod touch 5th generation, that cannot upgrade beyond iOS 9.

In order to provide clarity on what happens to devices that drop below the minimum supported operating system versions listed in Jamf Pro System Requirements, we have added additional information detailing how we handle older operating systems. While some of this information is referenced in other places, the goal is to provide clarity around which operating systems can still be managed and which operating systems we actively remove support for.

It is our hope that this additional clarity will be helpful for customers that currently manage these older operating systems with Jamf Pro.

mvu
Valued Contributor

Thank you @michael.devins . This chart provides a lot of clarity and is very helpful.

danlaw777
Contributor

@michael.devins thanks for this, can i also ask if you have a jamf connect system requirement list?